<script>
	import { goto } from '$app/navigation'

	import Leaflet from '@/components/leaflet.svelte'
	import Controls from '@/components/Controls.svelte'
	import Marker from '@/components/Marker.svelte'
	import Popup from '@/components/Popup.svelte'

	const initialView = [39.8283, -98.5795]

	const Locations = [
		{ name: 'Werner Elzinga', position: [29.8283, -96.5795] },
		{ name: 'Petrus Jonkheer', position: [37.8283, -90.5795] },
		{ name: 'Hermina Paul', position: [43.8283, -102.5795] },
		{ name: 'Geertruida Van Dael', position: [48.4, -122.5795] },
		{ name: 'Lambert Schenk', position: [43.6, -79.5795] },
		{ name: 'Puk Houk', position: [36.8283, -100.5795] },
		{ name: 'Marco Kollen', position: [38.4, -122.5795] }
	]
</script>

<Leaflet view={initialView} zoom={4}>
	<Controls>
		<button
			class="bg-white rounded bg-indigo-700 shadow-md text-white py-1 px-2"
			on:click={() => goto('/doctors/list')}
		>
			Show List
		</button>
	</Controls>

	{#each Locations as { position, name }}
		<Marker {position} width={30} height={30}>
			<svg viewBox="0 0 24 24" class="marker">
				<path
					fill-rule="evenodd"
					clip-rule="evenodd"
					d="M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-6-3a2 2 0 11-4 0 2 2 0 014 0zm-2 4a5 5 0 00-4.546 2.916A5.986 5.986 0 0010 16a5.986 5.986 0 004.546-2.084A5 5 0 0010 11z"
				/>
			</svg>

			<Popup class="flex w-50 items-center relative">
				<img
					class="rounded-full h-10 w-10"
					src="https://source.unsplash.com/random/256x256?face"
					alt=""
				/>
				<div class="flex-1 ml-2">
					<a class="flex font-medium text-sm mb-2 text-gray-900" href="/appointment">
						<span>{name}</span>
						<svg class="h-5 ml-2 w-5" viewBox="0 0 20 20" fill="currentColor">
							<path
								fill-rule="evenodd"
								clip-rule="evenodd"
								d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z"
							/>
						</svg>
					</a>
					<div class="flex items-center">
						<svg
							class="flex-shrink-0 h-5 text-yellow-400 w-5"
							viewBox="0 0 20 20"
							fill="currentColor"
							aria-hidden="true"
						>
							<path
								d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
							/>
						</svg>

						<svg
							class="flex-shrink-0 h-5 text-yellow-400 w-5"
							viewBox="0 0 20 20"
							fill="currentColor"
							aria-hidden="true"
						>
							<path
								d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
							/>
						</svg>

						<svg
							class="flex-shrink-0 h-5 text-yellow-400 w-5"
							viewBox="0 0 20 20"
							fill="currentColor"
							aria-hidden="true"
						>
							<path
								d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
							/>
						</svg>

						<svg
							class="flex-shrink-0 h-5 text-yellow-400 w-5"
							viewBox="0 0 20 20"
							fill="currentColor"
							aria-hidden="true"
						>
							<path
								d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
							/>
						</svg>

						<svg
							class="flex-shrink-0 h-5 text-yellow-400 w-5"
							viewBox="0 0 20 20"
							fill="currentColor"
							aria-hidden="true"
						>
							<path
								d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
							/>
						</svg>
					</div>
				</div>
			</Popup>
		</Marker>
	{/each}
</Leaflet>

<style>
	.marker {
		@apply h-full stroke-none stroke-cap-round stroke-join-round w-full fill-gray-400 stroke-2;
	}
	.marker:hover {
		@apply fill-gray-600;
	}
</style>
